
class mirror {
public:
    mirror( void );
    mirror( const vec& _normal, double _offset );
    mirror( const mirror& _orig );

    mirror& operator = ( const mirror& _orig );

    bool checkRayIntersection( const ray& _ray, double* _distance ) const;
    bool reflect( const ray& _in, ray* _out, double* _distance = 0 ) const;

private:
    void set( const vec& _normal, double _offset );

private:
    vec normal;
    double offset;
};
