
#include <iostream>

#include "progress.hh"

progress::progress( unsigned int _end ) : end( _end ), cur( 0 ) {
}

void progress::tick( void ) {
    unsigned int then = ( this->cur * 60 + this->end / 2 ) / this->end;
    unsigned int now = ( ++this->cur * 60 + this->end / 2 ) / this->end;
    if ( then != now ) {
	std::cerr << "." << std::flush;
    }
}
