
class ray {
public:
    ray( void );
    ray( const vec& _start, const vec& _dir );
    ray( const ray& _orig );

    ray& operator = ( const ray& _orig );

    inline const vec& getStart( void ) const { return this->start; }
    inline const vec& getDirection( void ) const { return this->dir; }

private:
    void set( const vec& _start, const vec& _dir );

private:
    vec start;
    vec dir;
};

std::ostream& operator << ( std::ostream& _oo, const ray& _rr );
