#include <list>

class scope {
public:
    scope( double _length = 5.0 );
    ~scope( void );

    bool reflect( const ray& _in, ray* _out ) const;

private:
    typedef std::list< mirror >::const_iterator iterator;
    bool reflect( const ray& _in, ray* _out, iterator _skip ) const;

    void add( double _xx, double _yy, double _zz, double _tt );

private:
    std::list< mirror > mirrors;
    double length;
    mirror plane;
};
