
class PNG {
public:
    PNG( void );
    ~PNG( void );

    PNG( unsigned int ww, unsigned int hh, unsigned int cc = 3 );

    PNG( const PNG& other );
    PNG& operator = ( const PNG& other );

    inline unsigned int getWidth( void ) const { return this->width; };
    inline unsigned int getHeight( void ) const { return this->height; };
    inline unsigned int getChannels( void ) const { return this->channels; };
    inline unsigned char* getBuffer( void ) { return this->pixels; };

    bool read( const char* fileName );
    bool readAlpha( const char* fileName );
    bool write( const char* fileName );

public:
    unsigned int width;
    unsigned int height;
    unsigned int channels;
    unsigned char* pixels;
};

