
#include "vec.hh"
#include "ray.hh"

ray::ray( void ) {
}

ray::ray( const vec& _start, const vec& _dir ) {
    this->set( _start, _dir );
    this->dir.normalize();
}

ray::ray( const ray& _orig ) {
    this->set( _orig.start, _orig.dir );
}

ray& ray::operator = ( const ray& _orig ) {
    this->set( _orig.start, _orig.dir );
    return *this;
}

void ray::set( const vec& _start, const vec& _dir ) {
    this->start = _start;
    this->dir = _dir;
}

std::ostream& operator << ( std::ostream& _oo, const ray& _rr ) {
    _oo << _rr.getStart() << " -> " << _rr.getDirection();
    return _oo;
}
