class seq {
public:
    seq( const char* _prefix, unsigned int _fill, const char* _suffix );
    ~seq( void );

    inline unsigned int getCount( void ) const { return this->count; };
    inline const PNG& operator [] ( unsigned int _index ) const {
	return this->pngs[ _index ];
    };

    unsigned char* getBuffer( unsigned int _index );

    enum { MAXPATHLEN = 2048 };
    void filename( unsigned int _index, char _buf[], unsigned int _len ) const;

private:
    bool exists( const char* _filename ) const;

private:
    const char* prefix;
    unsigned int fill;
    const char* suffix;
    unsigned int count;

    PNG* pngs;
};
